<?php
if(isSet($_GET["imie"]) && isSet($_GET["nazwisko"])){
  $imie = $_GET["imie"];
  $nazwisko = $_GET["nazwisko"];

  if($imie == "" && $nazwisko == ""){
    echo "error:imie:nazwisko";
  }
  else if($imie == ""){
    echo "error:imie";
  }
  else if($nazwisko == ""){
    echo "error:nazwisko";
  }
  else{
    $str = "imię = $imie, nazwisko = $nazwisko\n";

    if(!$fp = @fopen("./dane.txt", 'a')){
      die("error");
    }

    if (@fwrite($fp, $str) === false){
      die("error");
    }
    echo "Dziękujemy za podanie danych.";
    @fclose($fp);
  }
}
else{
  echo "error";
}
?>
